#!/usr/bin/perl -w

#
# incver.pl - increments version number in external perl script
# automagicly.
#
# created: 
# Mon Aug  9 13:36:53 EDT 1999 mortis@voicenet.com
#
#

use strict;
use Getopt::Std;
use vars qw($opt_m $opt_M $opt_s);

getopts('mMs');
my ($major,$minor) = (0,1);
defined($opt_M) && ( ($major,$minor) = (1,0) );

my $file = shift;
open FILE, "<$file" or die "Error opening file: $file   $!\n";
my @file = <FILE>;
close FILE;

foreach (@file) {
  if($opt_s && ($_ =~ /^\$VERSION\s*=\s*'([^']+)'\s*;\s*$/) ) {
	  print $1;
		exit 0;
	}
  $minor && s/(VERSION\s*=\s*\')(\d+)\.(\d+)\';/sprintf("%s%d.%d';",$1,$2,$3+1)/e;
	$major && s/(VERSION\s*=\s*\')(\d+)\.(\d+)\';/sprintf("%s%d.%d';",$1,$2+1,$3)/e;
}

open FILE, ">$file" or die "Error opening file: $file   $!\n";
print FILE @file;
close FILE;

